<template>
  <div class="audioreader">
    <div class="post-song-ctn" @click="toggle()">
    <div class="post-ctn">
      <div class="post-top-ctn">
        <div class="post-spinner">
          <div :class="spinnerClass" v-if="isPlaying || isSelected">
            <span>
            </span>
            <span>
            </span>
            <span>
            </span>
          </div>
      </div>
      <div class="post-top-names">
        <h3>{{audio.artist}}</h3>
        <h4>{{audio.name}}</h4>
        <p>{{audio.description}}</p>
      </div>
      <div class="post-top-tags">
        <p v-for="tag of audio.tags">
          <span class="hashtag-tag">#</span>{{tag}}
        </p>
      </div>
    </div>
    </div>
    <!-- <audio-reader-wave v-if="audio.isPlaying" color="rgba(250, 93, 166, 0.3)" amplitude="80" bones="4" height="75" speed="0.60" :_id="'pink-wave'+audio._id"/>
    <audio-reader-wave v-if="audio.isPlaying" color="rgba(0, 178, 250, 0.3)" amplitude="80" bones="3" height="75" speed="0.60" :_id="'blue-wave'+audio._id"/> -->
  </div>
</div>
</template>
<script>
import { mapMutations,mapActions, mapState } from 'vuex'
import audioReaderWave from '@/components/AudioReaderWave'
export default {
  name: 'AudioReader',
  components:{
    'audioReaderWave':audioReaderWave
  },
  props:['audio'],
  data(){
    return {

    }
  },
  computed:{
    ...mapState('profile',['playingSong']),
    isPlaying(){
      return this.playingSong && this.playingSong.name == this.audio.name && this.playingSong.artist == this.audio.artist && this.playingSong.isPlaying;
    },
    isSelected(){
      return this.playingSong && this.playingSong.name == this.audio.name && this.playingSong.artist == this.audio.artist;
    },
    spinnerClass(){
      return {
    'spinner': true,
    'active': this.isPlaying
      }
    }
  },
  methods: {
    ...mapMutations('profile',['setPlayingSong']),
    ...mapActions('profile',['togglePlayingSong']),
    toggle(){
      this.togglePlayingSong({...{isPlaying:this.isPlaying},...this.audio})
    }
  }
}
</script>
<style lang="scss">
.audioreader{
  width: 760px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: auto;
.post-ctn{
  width: 100%;
}
.post-song-ctn {
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  border-radius: 4px;
  padding: 16px;
  padding-left: 30px;
  border: 1px solid #dbdbdb;
  margin: 10px 0;
  &:hover{
    cursor: pointer;
    border-color:#cecece;
  }
  h1{
    font-size: 17px;
  }
}

.post-top-ctn{
    margin-bottom: 15px;
    width: 100%;
    display: flex;
    align-items: flex-start;
    .post-spinner{
      margin-right: 10px;
      width: 25px;
    },
    h3{
      color: #505f79;
      font-size: 13px;
      font-weight: 500;
    }
    h4{
          font-size: 19px;
    }


}


.post-top-names{
    text-align: left;
    width: 50%;
}
.post-top-tags{
  display: flex;
  justify-content: flex-end;
  width: 42%;
  flex-wrap: wrap;
  p{
    margin-right: 14px;
    background-color: #f4f4f4;
    padding: 3px 10px;
    border-radius: 2px;
    display: flex;
    margin-bottom: 14px;
    align-items: center;
    span.hashtag-tag {
        display: block;
        margin-right: 4px;
    }
  }
}


span.hashtag-tag {
    color: #bbb;
    font-weight: 600;
}
}
</style>
